/*
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

import { type RequestEvent } from '@sveltejs/kit';

import { UAParser } from 'ua-parser-js';

export async function load({ request }: RequestEvent) {
  const ua = request.headers.get('user-agent');

  if (!ua) {
    return { mobile: true };
  }

  const { device } = UAParser(ua);
  return { mobile: device.type === 'mobile' };
}
